## ros-eloquent-diagnostic-updater 2.0.1

=== debian/changelog ===
ros-eloquent-diagnostic-updater (2.0.1-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-eloquent-diagnostic-updater (2.0.0-1bionic) bionic; urgency=high

  * Use rclpp timer instead of custom updater logic. (#114 <https://github.com/ros/diagnostics/issues/114>)
  * Use std::isfinite since it is supported on all platorms. (#123 <https://github.com/ros/diagnostics/issues/123>)
  * Make DiagnosticStatusWrapper no longer implicitly copyable. (#117 <https://github.com/ros/diagnostics/issues/117>)
  * Add virtual destructor to task vector class. (#122 <https://github.com/ros/diagnostics/issues/122>)
  * Support for node interfaces to allow diagnostics to be used with lifecycle nodes. (#112 <https://github.com/ros/diagnostics/issues/112>)
  * Spin on node in diagnostic_updater example to query parameters. (#120 <https://github.com/ros/diagnostics/issues/120>)
  * Set diagnostic_updater default period to 1s instead of 1ns. (#110 <https://github.com/ros/diagnostics/issues/110>)
  * Make Karsten Knese Maintainer for ROS2 branches #115 <https://github.com/ros/diagnostics/issues/115>
  * Migrate diagnostic_updater to ROS2 #102 <https://github.com/ros/diagnostics/issues/102>
  * Custom names for FrequencyStatus and TimeStampStatus #86 <https://github.com/ros/diagnostics/issues/86>
  * Make FrequencyStatus' name configurable #84 <https://github.com/ros/diagnostics/issues/84>
  * Contributors: Austin, Dan Rose, Ian Colwell, Karsten Knese, Nils Bussas, Scott K Logan, VaibhavBhadade

 -- Austin Hendrix <namniart@gmail.com>  Tue, 03 Sep 2019 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.9.3-1bionic) bionic; urgency=high

  * Merge pull request #73 <https://github.com/ros/diagnostics/issues/73> from tue-robotics/indigo-devel
    Add a simple Heartbeat-DiagnosticTask
  * Add Python version of Heartbeat DiagnosticTask
  * Add a very very simple Heartbeat DiagnosticTask
  * Contributors: Austin, Loy van Beek, loy

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.9.2-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.9.1-1bionic) bionic; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.9.0-1bionic) bionic; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Fixed bug with merge summary in status wrapper
  * Contributors: Lukas Bulwahn, pAIgn10

 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.10-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 14 Jun 2016 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.9-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Mar 2016 08:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.8-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Aug 2015 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.7-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Jan 2015 08:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.6-1bionic) bionic; urgency=high

  * Add queue_size to diagnostic_updater for Python.
    cf. http://wiki.ros.org/rospy/Overview/Publishers%20and%20Subscribers#queue_size:_publish.28.29_behavior_and_queuing
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Dec 2014 08:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.5-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 29 Jul 2014 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.4-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 03:51:00 -0000

ros-eloquent-diagnostic-updater (1.8.3-1bionic) bionic; urgency=high

  * Initialize next_time_ properly.
    Fixes #20 <https://github.com/ros/diagnostics/issues/20>
  * Add failing test for fast updater
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Wed, 23 Apr 2014 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.2-1bionic) bionic; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix doc reference. Fixes #14 <https://github.com/ros/diagnostics/issues/14>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 08 Apr 2014 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.1-1bionic) bionic; urgency=high

  * Add myself as maintainer
  * Added ability to supply a custom node name (prefix) to Updater
  * Added ability to supply node handle and private node handle to Updater
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * fixed test related issues in some CMakeLists
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Aero, Austin Hendrix, Brice Rebsamen, Lukas Bulwahn, Mitchell Wills

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.8.0-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Apr 2013 07:00:00 -0000

ros-eloquent-diagnostic-updater (1.7.11-1bionic) bionic; urgency=high

  * Fix linking on tests
  * support python binding of diagnostic_updater on groovy
  * Contributors: Ryohei Ueda, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 03:24:00 -0000

ros-eloquent-diagnostic-updater (1.7.10-1bionic) bionic; urgency=high

  * Changed package.xml version number before releasing
  * added missing license header
  * added missing license headers
  * Contributors: Aaron Blasdel, Brice Rebsamen


